All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.transforms
Class ObjectToPlotVariableTransform

    com.sas.util.transforms.ObjectToPlotVariableTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class ObjectToPlotVariableTransform

implements com.sas.util.transforms.TransformInterface

See Also:
  Serialized Form

Field Summary
`static ObjectToPlotVariableTransform` | `defaultInstance`

Constructor Summary
`ObjectToPlotVariableTransform()` Default no=arg constructor.
`ObjectToPlotVariableTransform(java.util.Locale locale)` Create instance with locale setting.

Method Summary
`java.lang.Object` | `transform(java.lang.Object input)` Convert the column name to an plot variable.

Field Detail

### defaultInstance

    public static final ObjectToPlotVariableTransform defaultInstance

Constructor Detail

### ObjectToPlotVariableTransform

    public ObjectToPlotVariableTransform()

  Default no=arg constructor.

### ObjectToPlotVariableTransform

    public ObjectToPlotVariableTransform(java.util.Locale locale)

  Create instance with locale setting.

  Parameters:
    `locale` - language passed in for localization of transform messages

Method Detail

### transform

    public java.lang.Object transform(java.lang.Object input)
                               throws com.sas.util.transforms.TransformException

  Convert the column name to an plot variable.

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`
  Parameters:
    `input` - string to convert
  Throws:
    `com.sas.util.transforms.TransformException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.